"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForbiddenError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class ForbiddenError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `FORBIDDEN`,
            statusCode: 403,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Forbidden`;
        }
        super(message, options);
    }
}
exports.ForbiddenError = ForbiddenError;
//# sourceMappingURL=403-forbidden.js.map