"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotFoundError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class NotFoundError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `NOT_FOUND`,
            statusCode: 404,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Not Found`;
        }
        super(message, options);
    }
}
exports.NotFoundError = NotFoundError;
//# sourceMappingURL=404-not-found.js.map