"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConflictError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class ConflictError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `CONFLICT`,
            statusCode: 409,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Conflict`;
        }
        super(message, options);
    }
}
exports.ConflictError = ConflictError;
//# sourceMappingURL=409-conflict.js.map