"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GoneError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class GoneError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `GONE`,
            statusCode: 410,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Gone`;
        }
        super(message, options);
    }
}
exports.GoneError = GoneError;
//# sourceMappingURL=410-gone.js.map