"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LengthRequiredError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class LengthRequiredError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `LENGTH_REQUIRED`,
            statusCode: 411,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Length Required`;
        }
        super(message, options);
    }
}
exports.LengthRequiredError = LengthRequiredError;
//# sourceMappingURL=411-length-required.js.map