"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreconditionFailedError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class PreconditionFailedError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `PRECONDITION_FAILED`,
            statusCode: 412,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Precondition Failed`;
        }
        super(message, options);
    }
}
exports.PreconditionFailedError = PreconditionFailedError;
//# sourceMappingURL=412-precondition-failed.js.map