"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestURITooLongError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class RequestURITooLongError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `REQUEST_URI_TOO_LONG`,
            statusCode: 414,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Request-URI Too Long`;
        }
        super(message, options);
    }
}
exports.RequestURITooLongError = RequestURITooLongError;
//# sourceMappingURL=414-request-uri-too-long.js.map