"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedMediaTypeError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class UnsupportedMediaTypeError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `UNSUPPORTED_MEDIA_TYPE`,
            statusCode: 415,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Unsupported Media Type`;
        }
        super(message, options);
    }
}
exports.UnsupportedMediaTypeError = UnsupportedMediaTypeError;
//# sourceMappingURL=415-unsupported-media-type.js.map