"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LockedError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class LockedError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `LOCKED`,
            statusCode: 423,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Locked`;
        }
        super(message, options);
    }
}
exports.LockedError = LockedError;
//# sourceMappingURL=423-locked.js.map