"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadGatewayError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class BadGatewayError extends base_1.ServerError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `BAD_GATEWAY`,
            statusCode: 502,
            decorateMessage: true,
            logMessage: true
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Bad Gateway`;
        }
        super(message, options);
    }
}
exports.BadGatewayError = BadGatewayError;
//# sourceMappingURL=502-bad-gateway.js.map