"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTPVersionNotSupportedError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class HTTPVersionNotSupportedError extends base_1.ServerError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `HTTP_VERSION_NOT_SUPPORTED`,
            statusCode: 505,
            decorateMessage: true,
            logMessage: true
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `HTTP Version Not Supported`;
        }
        super(message, options);
    }
}
exports.HTTPVersionNotSupportedError = HTTPVersionNotSupportedError;
//# sourceMappingURL=505-http-version-not-supported.js.map